cURL
curl -X POST 'https://api.nuntly.com/broadcasts/bc_01kabn43yqyxn2bx4ve84mczd3/send' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"scheduledAt":"2026-03-30T09:00:00.000Z"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.broadcasts.send.send('bc_01kabn43yqyxn2bx4ve84mczd3', {
scheduledAt: '2026-03-30T09:00:00.000Z',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.broadcasts().send().send("bc_01kabn43yqyxn2bx4ve84mczd3", SendBroadcastRequest.builder()
.scheduledAt("2026-03-30T09:00:00.000Z")
.build());import requests
url = "https://api.nuntly.com/broadcasts/{broadcastId}/send"
payload = { "scheduledAt": "2026-03-30T09:00:00.000Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "bc_01kabn43yqyxn2bx4ve84mczd3",
"status": "draft"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Broadcasts
Send Broadcast
Send a broadcast now or schedule it.
POST
/
broadcasts
/
{broadcastId}
/
send
cURL
curl -X POST 'https://api.nuntly.com/broadcasts/bc_01kabn43yqyxn2bx4ve84mczd3/send' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"scheduledAt":"2026-03-30T09:00:00.000Z"}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.broadcasts.send.send('bc_01kabn43yqyxn2bx4ve84mczd3', {
scheduledAt: '2026-03-30T09:00:00.000Z',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.broadcasts().send().send("bc_01kabn43yqyxn2bx4ve84mczd3", SendBroadcastRequest.builder()
.scheduledAt("2026-03-30T09:00:00.000Z")
.build());import requests
url = "https://api.nuntly.com/broadcasts/{broadcastId}/send"
payload = { "scheduledAt": "2026-03-30T09:00:00.000Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "bc_01kabn43yqyxn2bx4ve84mczd3",
"status": "draft"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Path Parameters
Body
application/json
When to send. Omit to send immediately.
Example:
"2026-03-30T09:00:00.000Z"
Response
Request accepted.
Show child attributes
Show child attributes
